Skip to main content
`Ctrl`+`K`

# from_pydot

from_pydot(P)

  Returns a NetworkX graph from a Pydot graph.

  Parameters:
    P Pydot graph

      A graph created with Pydot

  Returns:
    G NetworkX multigraph

      A MultiGraph or MultiDiGraph.

  Examples

      >>> K5 = nx.complete_graph(5)
      >>> A = nx.nx_pydot.to_pydot(K5)
      >>> G = nx.nx_pydot.from_pydot(A)  # return MultiGraph

  # make a Graph instead of MultiGraph >>> G = nx.Graph(nx.nx_pydot.from_pydot(A))